Mac OS X – Metasploit Framework Kurulumu

Mac OS X platformlarda, güvenlik testleri gerçekleştirmek için sahip olmanız gereken çeşitli yazılımlar bulunuyor. Network güvenlik testlerinde ihtiyaç duyulan nmap,metasploit araçları bunlardan bazılarıdır.

Bu yazıda Mac OS X sistemlere Metasploit Framework kurulumu anlatılmıştır.

Ön Gereksinimler:

Macports : http://www.macports.org/

Xcode : http://developer.apple.com/tools/xcode/

Xcode ve  Bileşenlerinin Kurulumu

Applestore aracılığı ile Xcode ücret$iz ve kolayca kurulabilir.

 

Aşağıdaki adımlarla birlikte, Xcode Command Line Tools kurulumu yapılabilir.

Xcode > Preferences > Downloads > Command Line Tools > ‘install’

Macports Kurulumu

http://www.macports.org/install.php adresinden sahip olduğunuz Mac platforumuna ait paketi indirip kurabilirsiniz. (next next next)

Metasploit Framework Kurulumu

$ sudo port selfupdate

$ sudo port clean ruby19

—>  Cleaning ruby19

$ sudo port install ruby19 +nosuffix

$ svn co https://www.metasploit.com/svn/framework3/trunk/ msf/

$ svn update

Kurulum aşamasından sonra, çalışma dizininizde, msf klasörü altına metasploit ve bileşenleri kurulmuş olacaktır.

Msfconsole

Msfconsole aşağıdaki komut ile başlatılabilir,

$ sudo ./msfconsole

Hata Ayıklama

Karşılaşacağınız muhtemel hatalar ve çözümleri aşağıdaki gibi sıralanmıştır.

Hata 1:

$ sudo port clean ruby19

Error:

Error: No valid Xcode installation is properly selected.

Error: Please use xcode-select to select an Xcode installation:

Error:     sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer # version 4.3.3

Error:

Warning: xcodebuild exists but failed to execute

—>  Cleaning ruby19

Çözüm 1:

sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer

Yazar: Ozan UÇAR
ozan.ucar@bga.com.tr